Lavalite package that provides introduction management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `alexbrowns/introduction`.

    "alexbrowns/introduction": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Alexbrowns\Introduction\Providers\IntroductionServiceProvider::class,

And also add it to alias

    'Introduction'  => Alexbrowns\Introduction\Facades\Introduction::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Alexbrowns\\Introduction\\Seeds\\IntroductionTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Alexbrowns\Introduction\Providers\IntroductionServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Alexbrowns\Introduction\Providers\IntroductionServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Alexbrowns\Introduction\Providers\IntroductionServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/introduction/{modulename}

**User**

    http://path-to-route-folder/user/introduction/{modulename}

**Public**

    http://path-to-route-folder/introductions


### API endpoints

**List**

    http://path-to-route-folder/api/user/introduction/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/introduction/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/introduction/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/introduction/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/introduction/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/introduction/{modulename}/{slug}
    METHOD: GET